GlobalInitiation
Date: 2014-08-08

melting.patternModels.cricksPair

## Class GlobalInitiation

- java.lang.Object
- - melting.patternModels.PatternComputation
  - - melting.patternModels.cricksPair.CricksNNMethod
    - - melting.patternModels.cricksPair.GlobalInitiation

- All Implemented Interfaces:
    PatternComputationMethod
  Direct Known Subclasses:
    Breslauer86, Santalucia96

      public abstract class GlobalInitiation
      extends CricksNNMethod

  This class represents one model to compute the initiation enthalpy and entropy. The duplex initiation is computed by the addition of either an initiation penalty for duplexes containing at least one GC base pair or an initiation penalty for duplexes only composed of AT or AU base pairs. It extends CricksNNMethod.

- - ### Field Summary

    - ### Fields inherited from class melting.patternModels.PatternComputation

      `collector, fileName`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GlobalInitiation()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ThermoResult` | `computesHybridizationInitiation(Environment environment)` computes the enthalpy and entropy for the duplex initiation with the Environment 'environment'.

    - ### Methods inherited from class melting.patternModels.cricksPair.CricksNNMethod

      `computeThermodynamics, isMissingParameters`

    - ### Methods inherited from class melting.patternModels.PatternComputation

      `getCollector, getData, getDataFileName, initialiseFileName, isApplicable, loadData, loadFile`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GlobalInitiation

          public GlobalInitiation()

  - ### Method Detail

    - #### computesHybridizationInitiation

          public ThermoResult computesHybridizationInitiation(Environment environment)

      Description copied from class: `CricksNNMethod`
      computes the enthalpy and entropy for the duplex initiation with the Environment 'environment'.
      Overrides:
        `computesHybridizationInitiation` in class `CricksNNMethod`
      Returns:
        ThermoResult containing the enthalpy and entropy which contain the duplex initiation penalty.